<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/DocBook/Syntax.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.DocBook.Syntax</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Formatters.html" >Formatters</a>.<a href="../DocBook.html" >DocBook</a>.Syntax

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Classes Summary:</div>
<div class="item"><div class="synopsis">class <a href="Syntax/Syntax.html" >Syntax</a></div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.Syntax" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line16" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Even though DocBook provides markup for some programming artifacts&#44;
    it is incomplete&#44; and the XSL stylesheets are buggy&#44; resulting in
    incorrect syntax.</div></div>
<div class="item"><div class="synopsis">class <a href="Syntax/PythonSyntax.html" >PythonSyntax</a></div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.PythonSyntax" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line35" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="Syntax/PythonSummarySyntax.html" >PythonSummarySyntax</a></div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line59" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Generate DocBook Synopsis for Python declarations.</div></div>
<div class="item"><div class="synopsis">class <a href="Syntax/PythonDetailSyntax.html" >PythonDetailSyntax</a></div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.PythonDetailSyntax" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line81" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Generate DocBook Synopsis for Python declarations.</div></div>
<div class="item"><div class="synopsis">class <a href="Syntax/CxxSyntax.html" >CxxSyntax</a></div> <div class="xref"><a href="../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Syntax.CxxSyntax" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line103" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="Syntax/CxxSummarySyntax.html" >CxxSummarySyntax</a></div> <div class="xref"><a href="../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Syntax.CxxSummarySyntax" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line159" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Generate DocBook Synopsis for C++ declarations.</div></div>
<div class="item"><div class="synopsis">class <a href="Syntax/CxxDetailSyntax.html" >CxxDetailSyntax</a></div> <div class="xref"><a href="../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Syntax.CxxDetailSyntax" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line203" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Generate DocBook Synopsis for C++ declarations.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Functions Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="escape">escape</a>(<span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.escape" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line10" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Classes Details:</div>
<div class="item"><div class="synopsis">class <a href="Syntax/Syntax.html" >Syntax</a></div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.Syntax" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line16" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Even though DocBook provides markup for some programming artifacts&#44;
    it is incomplete&#44; and the XSL stylesheets are buggy&#44; resulting in
    incorrect syntax. Thus&#44; we use the 'synopsis' element&#44; and attempt to
    reproduce the original syntax with language-specific subclasses.</div></div>
<div class="item"><div class="synopsis">class <a href="Syntax/PythonSummarySyntax.html" >PythonSummarySyntax</a></div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line59" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Generate DocBook Synopsis for Python declarations.</div></div>
<div class="item"><div class="synopsis">class <a href="Syntax/PythonDetailSyntax.html" >PythonDetailSyntax</a></div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.PythonDetailSyntax" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line81" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Generate DocBook Synopsis for Python declarations.</div></div>
<div class="item"><div class="synopsis">class <a href="Syntax/CxxSummarySyntax.html" >CxxSummarySyntax</a></div> <div class="xref"><a href="../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Syntax.CxxSummarySyntax" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line159" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Generate DocBook Synopsis for C++ declarations.</div></div>
<div class="item"><div class="synopsis">class <a href="Syntax/CxxDetailSyntax.html" >CxxDetailSyntax</a></div> <div class="xref"><a href="../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Syntax.CxxDetailSyntax" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line203" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Generate DocBook Synopsis for C++ declarations.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:57 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
